cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
382
Views
0
Helpful
0
Replies

API disconnection

saisivam
Level 1
Level 1

Hi All,

Our cisco prime API call getting disconnected intermediately Kindly take a looks of below logs.I am trying to conedct with Postman as well getting same error.

Microsoft Windows [Version 10.0.14393]
(c) 2016 Microsoft Corporation. All rights reserved.

C:\Users\>\\ *************\Python\python.exe \\fmsgnmpbi01.com\testing\getRadios.py "****" "*****" "******" "Primev35Export" "xxx" "xxxx" "gnmc.com"


retrieving from 192.x.x.x
success
Querying page 0 to 1000
success
Querying page 1000 to 2000
success
Querying page 2000 to 3000
success
Querying page 3000 to 4000
success
Querying page 4000 to 5000
success
Querying page 5000 to 6000
success
Querying page 6000 to 7000
success
Querying page 7000 to 8000
success
Querying page 8000 to 9000
Traceback (most recent call last):
File "\\ *************\Python\lib\site-packages\urllib3-1.22-py3.7.egg\urllib3\connectionpool.py", line 601, in urlopen
chunked=chunked)
File "\\ *************\Python\lib\site-packages\urllib3-1.22-py3.7.egg\urllib3\connectionpool.py", line 387, in _make_request
six.raise_from(e, None)
File "<string>", line 2, in raise_from
File "\\ *************\Python\lib\site-packages\urllib3-1.22-py3.7.egg\urllib3\connectionpool.py", line 383, in _make_request
httplib_response = conn.getresponse()
File "\\ *************\Python\lib\http\client.py", line 1321, in getresponse
response.begin()
File "\\ *************\Python\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "\\ *************\Python\lib\http\client.py", line 265, in _read_status
raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "\\ *************\Python\lib\site-packages\requests-2.18.4-py3.7.egg\requests\adapters.py", line 440, in send
timeout=timeout
File "\\ *************\Python\lib\site-packages\urllib3-1.22-py3.7.egg\urllib3\connectionpool.py", line 639, in urlopen
_stacktrace=sys.exc_info()[2])
File "\\ *************\Python\lib\site-packages\urllib3-1.22-py3.7.egg\urllib3\util\retry.py", line 357, in increment
raise six.reraise(type(error), error, _stacktrace)
File "\\ *************\Python\lib\site-packages\urllib3-1.22-py3.7.egg\urllib3\packages\six.py", line 685, in reraise
raise value.with_traceback(tb)
File "\\ *************\Python\lib\site-packages\urllib3-1.22-py3.7.egg\urllib3\connectionpool.py", line 601, in urlopen
chunked=chunked)
File "\\ *************\Python\lib\site-packages\urllib3-1.22-py3.7.egg\urllib3\connectionpool.py", line 387, in _make_request
six.raise_from(e, None)
File "<string>", line 2, in raise_from
File "\\ *************\Python\lib\site-packages\urllib3-1.22-py3.7.egg\urllib3\connectionpool.py", line 383, in _make_request
httplib_response = conn.getresponse()
File "\\ *************\Python\lib\http\client.py", line 1321, in getresponse
response.begin()
File "\\ *************\Python\lib\http\client.py", line 296, in begin
version, status, reason = self._read_status()
File "\\ *************\Python\lib\http\client.py", line 265, in _read_status
raise RemoteDisconnected("Remote end closed connection without"
urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "\\fmsgnmpbi01.amr.corp *************.com\testing\getRadios.py", line 279, in <module>
radio_list = radio_details()
File "\\fmsgnmpbi01.amr.corp *************.com\testing\getRadios.py", line 57, in radio_details
auth=(mySecrets.get_user(), mySecrets.get_pass()), headers=headers, timeout=200)
File "\\ *************\Python\lib\site-packages\requests-2.18.4-py3.7.egg\requests\api.py", line 72, in get
return request('get', url, params=params, **kwargs)
File "\\ *************\Python\lib\site-packages\requests-2.18.4-py3.7.egg\requests\api.py", line 58, in request
return session.request(method=method, url=url, **kwargs)
File "\\ *************\Python\lib\site-packages\requests-2.18.4-py3.7.egg\requests\sessions.py", line 508, in request
resp = self.send(prep, **send_kwargs)
File "\\ *************\Python\lib\site-packages\requests-2.18.4-py3.7.egg\requests\sessions.py", line 618, in send
r = adapter.send(request, **kwargs)
File "\\ *************\Python\lib\site-packages\requests-2.18.4-py3.7.egg\requests\adapters.py", line 490, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))

 

0 Replies 0